#
# spec file for package smillaenlarger
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           smillaenlarger
Version:        0.9.0
Release:        lp150.2.7
Summary:        A graphical tool to resize bitmaps in high quality
License:        GPL-3.0+
Group:          Productivity/Graphics/Bitmap Editors
Url:            http://sourceforge.net/projects/imageenlarger/
Source0:        http://kent.dl.sourceforge.net/project/imageenlarger/imageenlarger/SmillaEnlarger%20Release%20%{version}/SmillaEnlarger_%{version}_source.zip
Source1:        smillaenlarger.desktop

BuildRequires:  gcc-c++
BuildRequires:  unzip
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Patch0:         smillaenlarger-qt5.patch

%description
SmillaEnlarger is a small graphical tool ( based on Qt ) to resize,
especially magnify bitmaps in high quality.

%prep
%setup -q -n SmillaEnlarger_%{version}_source/SmillaEnlargerSrc
%patch0 -p1
sed \
    -i -e \
    's|0.8.9|%{version}|g' \
    EnlargerDialog.cpp

%build
%{_libdir}/qt5/bin/qmake \
                         ImageEnlarger.pro \
                         QMAKE_STRIP="" \
                         QMAKE_CFLAGS+="%{optflags}" \
                         QMAKE_CXXFLAGS+="%{optflags} -fvisibility=hidden -fvisibility-inlines-hidden"
%{__make} %{?_smp_mflags}

%install
%{__install} -m0755 -D SmillaEnlarger %{buildroot}%{_bindir}/smillaenlarger
%{__install} -m0644 -D smilla.png %{buildroot}%{_datadir}/pixmaps/smillaenlarger.png
%suse_update_desktop_file -i %{name}

%post
%if 0%{?suse_version} >= 1140
%desktop_database_post
%else
update-desktop-database &> /dev/null || :
%endif

%postun
%if 0%{?suse_version} >= 1140
%desktop_database_postun
%else
update-desktop-database &> /dev/null || :
%endif

%files
%defattr(-,root,root)
%doc docs/* help/*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Fri Dec 15 2017 crrodriguez@opensuse.org
- smillaenlarger-qt5.patch: Very simple patch to allow
  building against QT5.
* Wed Nov 13 2013 dap.darkness@gmail.com
- https://build.opensuse.org/request/show/206506 :
  * qmake call was moved to %%build phase;
  * %%setup -n was changed not to cd everywhere;
  * non SUSE distros were dropped.
* Fri Nov  8 2013 dap.darkness@gmail.com
- Initial build by Sa Wa.
- Refactored for openSUSE.
